# $Revision: 1.27 $, $Date: 2007/08/23 15:43:26 $

%bcond_with	static		# don't use shared libraries
%bcond_without	usplash		# build usplash UI
%bcond_without	fbsplash	# don't build fbsplash UI

Summary:	Suspend2 User UI
Summary(de.UTF-8):	Suspend2 Benutzer Interface
Summary(pl.UTF-8):	Interfejs użytkownika dla Suspend2
Name:		suspend2-userui
Version:	0.7.2
Release:	2
License:	GPL v2
Group:		Applications/System
Source0:	http://www.suspend2.net/downloads/all/%{name}-%{version}.tar.gz
# Source0-md5:	7403ebf48a598ba13d5155b2660a06df
Patch0:		%{name}-Makefile.patch
URL:		http://www.suspend2.net/
BuildRequires:	autoconf
BuildRequires:	automake
%if %{with fbsplash}
BuildRequires:	freetype-devel
BuildRequires:	lcms-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmng-devel
BuildRequires:	libpng-devel >= 1.2.12
BuildRequires:	zlib-devel
%if %{with static}
BuildRequires:	freetype-static
BuildRequires:	glibc-static
BuildRequires:	lcms-static
BuildRequires:	libjpeg-static
BuildRequires:	libmng-static
BuildRequires:	libpng-static >= 1.2.12
BuildRequires:	zlib-static
%endif
%endif
%if %{with usplash}
BuildRequires:	usplash-devel >= 0.5.2
%endif
Requires:	hibernate >= 1.93
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Suspend2-userui allows you to use a user interface while hibernating
your laptop. There is a text-ui and a graphical fbsplash-ui/usplash-ui
available.

%description -l de.UTF-8
Suspend2-userui erlaubt es dir ein Benutzer Interface zu nutzen wenn
du deinen Laptop einfrierst. Ein Tekst-UI und graphische UIs
(fbsplash/usplash) stehen zur Verfügung.

%description -l pl.UTF-8
Suspend2-userui pozwala na używanie interfejsu użytkownika w procesie
hibernacji laptopa. Dostępny jest tryb tekstowy oraz graficzny
(fbsplash/usplash).

%package fbsplash
Summary:	Suspend2 User UI for fbsplash
Summary(de.UTF-8):	Suspend2 Benutzer Interface für fbsplash
Summary(pl.UTF-8):	Interfejs użytkownika dla Suspend2 używającego fbsplash
Group:		Applications/System

%description fbsplash
This package provides the fbsplash UI.

%description fbsplash -l de.UTF-8
Dieses Paket enthält das fbsplash UI.

%description fbsplash -l pl.UTF-8
Ta paczka zawiera UI dla fbsplasha.

%package usplash
Summary:	Suspend2 User UI for usplash
Summary(de.UTF-8):	Suspend2 Benutzer Interface für usplash
Summary(pl.UTF-8):	Interfejs użytkownika dla Suspend2 używającego usplash
Group:		Applications/System

%description usplash
This package provides the usplash UI.

%description usplash -l de.UTF-8
Dieses Paket enthält das usplash UI.

%description usplash -l pl.UTF-8
Ta paczka zawiera UI dla usplasha.

%prep
%setup -q
%patch0 -p1

%build
%{__make} clean
%{__make} tuxoniceui_text \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	%{?with_static:LDFLAGS="-static"}

%ifarch !ppc
%if %{with fbsplash}
%{__make} -C fbsplash
	CC="%{__cc}"
	CFLAGS="%{rpmcflags}"
	%{?with_static:LDFLAGS="-static"}

%{__make} tuxoniceui_fbsplash \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	%{?with_static:LDFLAGS="-static"}
%endif

%if %{with usplash}
%{__make} -C usplash
	CC="%{__cc}"
	CFLAGS="%{rpmcflags}"
	%{?with_static:LDFLAGS="-static"}

%{__make} tuxoniceui_usplash \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	%{?with_static:LDFLAGS="-static"}
%endif
%endif # arch

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}

install tuxoniceui_text $RPM_BUILD_ROOT%{_sbindir}
%ifarhc !ppc
%if %{with fbsplash}
install tuxoniceui_fbsplash $RPM_BUILD_ROOT%{_sbindir}
%endif
%if %{with usplash}
install tuxoniceui_usplash $RPM_BUILD_ROOT%{_sbindir}
%endif
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README USERUI_API KERNEL_API
%attr(755,root,root) %{_sbindir}/tuxoniceui_text

%ifarch !ppc
%if %{with fbsplash}
%files fbsplash
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/tuxoniceui_fbsplash
%endif

%if %{with usplash}
%files usplash
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/tuxoniceui_usplash
%endif
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: suspend2-userui.spec,v $
Revision 1.27  2007/08/23 15:43:26  shadzik
- PPC build fix
- remove patch1
- rel 2

Revision 1.26  2007/08/23 15:32:20  shadzik
- reverse usplash bcond

Revision 1.25  2007/08/23 14:04:06  shadzik
- updated usplash BR

Revision 1.24  2007/08/23 13:19:00  shadzik
- 0.7.2
- subpackages

Revision 1.23  2007/04/02 21:58:40  shadzik
- fix build
- clear TODO

Revision 1.22  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.21  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.20  2007/02/10 23:22:16  mguevara
- 0.7.0-0.1, todo non-static build

Revision 1.19  2006/07/17 17:26:35  freetz
- rel.6

Revision 1.18  2006/07/17 17:24:19  freetz
- removed junk

Revision 1.17  2006/07/17 17:20:25  freetz
- dropped include patch, ppc patch added, rel.5.3

Revision 1.16  2006/07/16 07:49:49  freetz
- rel.5.2

Revision 1.15  2006/07/16 07:46:29  freetz
- rel.5.1

Revision 1.14  2006/07/16 07:36:42  freetz
- rel.5

Revision 1.13  2006/07/16 07:30:34  freetz
- apply Patch1

Revision 1.12  2006/07/16 07:23:47  freetz
- include.patch added, rel.4

Revision 1.11  2006/07/16 07:09:17  freetz
- rel.3, use HEAD deps

Revision 1.10  2006/07/15 12:44:24  shadzik
- bcond: --with static

Revision 1.9  2006/07/15 00:33:46  shadzik
- use %{__make} install as instalation method; we need to patch Makefile to do this
- more files (suspend2ui_usplash)
- rel 2

Revision 1.8  2006/07/14 15:53:19  shadzik
- up to 0.6.4
- drop -Makefile.patch (it already builds dynamically)

Revision 1.7  2006/07/10 18:57:58  freetz
- rel.2 for rebuild with braindamaged libpng soname change

Revision 1.6  2006/05/23 07:58:45  adamg
- pass CC

Revision 1.5  2006/05/12 11:22:08  shadzik
- de

Revision 1.4  2006/05/12 11:13:10  baggins
- use rpmcflags as CFLAGS

Revision 1.3  2006/04/21 12:56:54  spider
- up to 0.6.3 (changes by Bartosz Swiatek)

Revision 1.2  2005/11/26 22:22:08  qboosh
- pl fix, sorted BRs, added Log tag

